For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesWhite-labelAPI Reference
GuidesWhite-labelAPI Reference
  • Panic API Reference
      • GETList customer subscriptions
      • POSTActivate a subscription
      • GETGet a subscription
      • PUTUpdate a subscription
      • DELCancel a subscription
      • GETList subscription types
    • Errors & status codes
LogoLogo
Panic API ReferenceSubscriptions

Activate a subscription

POST
/panic-api/v2/subscriptions
POST
/panic-api/v2/subscriptions
$curl -X POST https://staging-panic.aura.services/panic-api/v2/subscriptions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "customerId": 178921,
> "subscriptionTypeId": 4
>}'
1{
2 "id": 8811,
3 "customerId": 178921,
4 "subscriptionTypeId": 4,
5 "status": "active",
6 "dependantCustomerIds": [
7 1
8 ]
9}

Activates a subscription for a customer. Subscription type IDs differ between staging and production; resolve them per environment before creating subscriptions.

Was this page helpful?
Previous

Get a subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
customerIdintegerRequired
subscriptionTypeIdintegerRequired
dependantCustomerIdslist of integersOptional

Response

Subscription activated.
idinteger
customerIdinteger
subscriptionTypeIdinteger
statusstring
dependantCustomerIdslist of integers

Errors

400
Bad Request Error
401
Unauthorized Error